Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.exception.spi
Interface Configurable

    public interface Configurable

The Configurable interface defines the contract for SQLExceptionConverter impls that want to be configured prior to usage given the currently defined Hibernate properties.

Method Summary
`void` | `configure(Properties properties)` Configure the component, using the given settings and properties.

Method Detail

### configure

    void configure(Properties properties)
                   throws HibernateException

  Configure the component, using the given settings and properties.

  Parameters:
    `properties` - All defined startup properties.
  Throws:
    `HibernateException` - Indicates a configuration exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.